# RingDecomposerLib 1.0

[![Build Status](https://travis-ci.org/rareylab/RingDecomposerLib.svg?branch=master)](https://travis-ci.org/rareylab/RingDecomposerLib)
[![Documentation Status](https://readthedocs.org/projects/ringdecomposerlib/badge/?version=latest)](http://ringdecomposerlib.readthedocs.io/en/latest/?badge=latest)


The RingDecomposerLib is an ANSI-C library with a Python wrapper for
calculation of Unique Ring Families (URFs) and other cycle bases
(Relevant Cycles (RC), Smallest Set of Smallest Rings (SSSR)).

It has been developed at the
[University of Hamburg] (https://www.uni-hamburg.de/),
[ZBH - Center for Bioinformatics] (http://www.zbh.uni-hamburg.de),
[Research Group for Computational Molecular Design] (http://www.zbh.uni-hamburg.de/amd)
by Niek Andresen, Florian Flachsenberg and Matthias Rarey.

The library is distributed under [BSD New] (https://opensource.org/licenses/BSD-3-Clause) license.

Please Cite:

Kolodzik, A.; Urbaczek, S.; Rarey, M.
Unique Ring Families: A Chemically Meaningful Description of Molecular Ring Topologies.
J. Chem. Inf. Model., 2012, 52 (8), pp 2013–2021

Flachsenberg, F.; Andresen, N.; Rarey, M.
RingDecomposerLib: An Open-Source implementation of Unique Ring Families and Other Cycle Bases.
J. Chem. Inf. Model., 2017, 57 (2), pp 122–126

This package contains a C-library as well as an optional Python wrapper for the library.

## Installation

See [INSTALL](INSTALL) or the [documentation](http://ringdecomposerlib.readthedocs.io/en/latest/install.html) for detailed installation instructions.

## Documentation

The documentation is available on [ReadTheDocs](https://readthedocs.org/) as a [HTML](http://ringdecomposerlib.readthedocs.io/en/latest)
and as a [PDF](http://ringdecomposerlib.readthedocs.io/en/latest/refman.pdf) document.
